Subject: Re: [patch] d80211: use pfifo_qdisc_ops rather than d80211-specific qdisc

From: Dan Williams <[email-masked]>
Date: Thu, 02 Nov 2006 15:58:14 -0500

On Thu, 2006-11-02 at 19:38 +0100, Jiri Benc wrote:
> On Thu, 2 Nov 2006 17:09:24 +0100 (CET), Sven-Haegar Koch wrote:
> > At least the ones used on my machines all do.
> > (Debian Sarge, Etch and Unstable)
> > The configfiles can be changed without problems to use any device name, 
> > but needing to edit various files just for a kernel update would inhibt me 
> > from just trying a new version until I really know I would not need to go 
> > back to the old version again.
> 
> Then your config scripts don't work with Prism and Zydas cards. Something
> is broken with your setup.
> 
> > (Switching wireless from eth1 to eth2 after copying the harddisk contents 
> > to a new laptop was work enough, but at least expected with a new machine 
> > and changed hardware)
> 
> Because nobody can guarantee you even the order of your Ethernet interfaces
> with newer kernels (e.g. your eth0 Ethernet card may become eth1 at any
> time) and it will become even worse with the parallel device discovery,
> your setup is going to explode anyway.
> 
> Sorry, I can't take this as an argument. Using your argumentation, we must
> preserve wlan0 name because scripts of zd1201 users will break otherwise.
> Or - wait a moment - no no, we must preserve ath0 name because of madwifi
> users - and oh, we must preserve eth1 (not ethX because the scripts cannot
> deal with it) because of ipw users. And we must definitely ensure that card
> numbers won't ever change. Even if you uplug them and replug to another
> slots in a different order.
> 
> Sorry, that cannot work.

Right.

Nothing should be relying on the actual device name, they should be
relying on the MAC address or some other UID of the actual device.  In
many distros, the config scripts depend on a set name, but only _AFTER_
they have check the devices MAC address, matched that up with a
MAC->devname table, and renamed the device.  That's somewhat sane, but
scripts cannot just rely on the device name without checking some other
unique attribute of the device.

Dan

>  Jiri